Subject: Ticket Assigned - need escalation
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 07 Mar 2021 09:39:53 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  need escalation mohammed riyaz                    Bot:  Hi again! Bot:  Please enter your name Customer:  mohammed riyaz Bot:  Hi Mohammed Riyaz ,what do you need help with? Customer:  Your order update Bot:  Please choose your location Customer:  Saudi Arabia Bot:  Please enter your order number to continue Customer:  6277428887 Bot:    Your order status is :     If you have not received your order, Home Delivery takes 3 to 5 days.   You can easily track your order from My Account > Order History.  Please note, during sale periods, your order may take longer to arrive.  Bot:  Was I able to resolve your query? Customer:  No Bot:  Would you like to still talk to one of our agent? Customer:  Yes            01:12 PM, 07th Mar                     mohammed riyaz                    6277428887           01:18 PM, 07th Mar                   mayar                   Hi, Thank you for contacting us. My name is Mayar ,i will be happy to help you.           01:18 PM, 07th Mar                     mohammed riyaz                    Hi - I have not yet received my shipment it almost tracking no. are 6277428887 & 627770800810 days has passed           01:20 PM, 07th Mar                     mohammed riyaz                    Its almost 10 days has passed I have not yet received my shipment tracking no. are 6277428887 & 6277708008           01:22 PM, 07th Mar                   mayar                   Could you please allow me 2 minutes to check your order details?           01:24 PM, 07th Mar                   mayar                   We are truly sorry to hear that a delivery attempt was made at your address by the courier without informing you. Our delivery team always contacts the customer before attempting any delivery. However, you were not informed prior to the delivery of your items. Please consider this a rare exception.  ​ Please be assured to received a call from our delivery agent as we have now informed our courier team to contact you prior to the delivery of your items. The mobile number you provided is (00966598431601)  ​ We would like to inform that our courier team always ensures that 3 delivery attempts are made for an order on 3 different days.           01:26 PM, 07th Mar                     mohammed riyaz                    I have received message from Saudi post on 4 Mar, 2021 around 4:30 pm after that I didn't received any call the from the distributor. It's really a bad experience           01:29 PM, 07th Mar                     mohammed riyaz                    Even in that message they have given the Customer care no. 19992 when I try to call the no response           01:31 PM, 07th Mar                   mayar                   Kindly send your full address to escalate your issue           01:31 PM, 07th Mar                     mohammed riyaz                    Mohammed Riyaz, Abdullah Faleh Al Dossary Sons Contracting Co. Ltd. P.O. Box 494, Al-Sinaiyah, Yanbu - 46413, KSA. M: 00966 - 598431601           01:32 PM, 07th Mar                   mayar                   We sincerely apologize for any inconvenience caused however, we have checked with the following email address: and we are unable to locate any order with us. We request you to please share with us your exact order number so that we assist you with this accordingly.           01:34 PM, 07th Mar                   mayar                   Is there anything else i can help you with?            01:36 PM, 07th Mar                   mayar                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           01:39 PM, 07th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2203015